%define packagename HTML-Stream
%define packageversion 1.49
%define release 1
%define makeopts ""
%define makemakeropts ""
%define makeperlopts ""

Name:      perl-%{packagename}
Version:   %{packageversion}
Release:   %{release}
Group:     Development/Languages/Perl
Source:    HTML-Stream-1.49.tar.gz
Source1:   makerpm.pl
Copyright: Probably the same terms as perl.  Check.
BuildRoot: /var/tmp/HTML-Stream-1.49
Provides:  perl-%{packagename}
Summary:   The Perl package HTML-Stream

%description
This package contains the perl module HTML-Stream.

The B<HTML::Stream> module provides you with an object-oriented
(and subclassable) way of outputting HTML.  Basically, you open up
an "HTML stream" on an existing filehandle, and then do all of your
output to the HTML stream.  You can intermix HTML-stream-output and
ordinary-print-output, if you like.

There's even a small built-in subclass, B<HTML::Stream::Latin1>, which can
handle Latin-1 input right out of the box.   But all in good time...

%prep
$RPM_SOURCE_DIR/makerpm.pl --source=HTML-Stream-1.49.tar.gz --verbose   --prep



%build
$RPM_SOURCE_DIR/makerpm.pl --source=HTML-Stream-1.49.tar.gz --verbose  --build --runtests %{makeopts} %{makeperlopts} %{makemakeropts} 



%install
rm -rf $RPM_BUILD_ROOT



#makerpm is run after the install script to pick up all of the files

$RPM_SOURCE_DIR/makerpm.pl --source=HTML-Stream-1.49.tar.gz --verbose  --install %{makeopts}

%clean



rm -rf $RPM_BUILD_ROOT

%pre



%post



%preun



%postun



%verifyscript



%files -f HTML-Stream-1.49/HTML-Stream-1.49.rpmfilelist

%doc HTML-Stream-1.49/docs
%doc HTML-Stream-1.49/README
%doc HTML-Stream-1.49/README.system
%doc HTML-Stream-1.49/COPYING

